import json

from funcs import logThis

def checkBalance(user):
    user = user.lower()
    logThis("checking "+user+"'s account balance")
    with open("resources/games/games.json", "r") as f:
        data = json.load(f)
    
    if user in data["users"]:
        return data["users"][user]
    else: return 0

def addMoney(user,amount):
    user = user.lower()
    logThis("adding "+str(amount)+" to "+user+"'s account")
    with open("resources/games/games.json", "r") as f:
        data = json.load(f)
    
    if user in data["users"]:
        points = data["users"][user]
        data["users"][user] = points + amount
    else:
        data["users"][user] = amount
    
    with open("resources/games/games.json", "w") as f:
        json.dump(data,f,indent=4)

def giveMoney(user,targetUser,amount):
    with open("resources/games/games.json", "r") as f:
        data = json.load(f)
    
    if user in data["users"]:
        if data["users"][user] >= amount:
            addMoney(user,-1 * amount)
            addMoney(targetUser,amount)
            return "Transferred the GwendoBucks"
        else:
            logThis("They didn't have enough GwendoBucks")
            return "You don't have that many GwendoBucks"
    else:
        logThis("They didn't have enough GwendoBucks")
        return "You don't have that many GwendoBucks"
